MVCAware (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## griffon.transform
[Java] Annotation Type MVCAware

    java.lang.Object
      griffon.transform.MVCAware

    @Retention(RetentionPolicy.SOURCE)
    @Target({ElementType.TYPE})
    @GroovyASTTransformationClass("org.codehaus.griffon.ast.MVCAwareASTTransformation")
    public @interface MVCAware

Annotates a class.

When annotating a class it indicates that it will be able to handle MVC groups, that is, instantiate them. The class will have the ability to create new instances of MVC groups, including short-lived ones.

The following methods will be added to classes annotated with @MVCAware

- `public Map<String, Object> buildMVCGroup(String mvcType)`
- `public Map<String, Object> buildMVCGroup(String mvcType, String mvcName)`
- `public Map<String, Object> buildMVCGroup(Map<String, Object> args, String mvcType)`
- `public Map<String, Object> buildMVCGroup(String mvcType, Map<String, Object> args)`
- `public Map<String, Object> buildMVCGroup(Map<String, Object> args, String mvcType, String mvcName)`
- `public Map<String, Object> buildMVCGroup(String mvcType, String mvcName, Map<String, Object> args)`
- `public List<? extends GriffonMvcArtifact> createMVCGroup(String mvcType)`
- `public List<? extends GriffonMvcArtifact> createMVCGroup(Map<String, Object> args, String mvcType)`
- `public List<? extends GriffonMvcArtifact> createMVCGroup(String mvcType, Map<String, Object> args)`
- `public List<? extends GriffonMvcArtifact> createMVCGroup(String mvcType, String mvcName)`
- `public List<? extends GriffonMvcArtifact> createMVCGroup(Map<String, Object> args, String mvcType, String mvcName)`
- `public List<? extends GriffonMvcArtifact> createMVCGroup(String mvcType, String mvcName, Map<String, Object> args)`
- `public void destroyMVCGroup(String mvcName)`
- `public void withMVCGroup(String mvcType, Closure handler)`
- `public void withMVCGroup(String mvcType, String mvcName, Closure handler)`
- `public void withMVCGroup(String mvcType, String mvcName, Map<String, Object> args, Closure handler)`
- `public void withMVCGroup(Map<String, Object> args, String mvcType, String mvcName, Closure handler)`
- `public void withMVCGroup(String mvcType, Map<String, Object> args, Closure handler)`
- `public void withMVCGroup( Object> args, String mvcType, Map<String,Closure handler)`
- `public <M extends GriffonModel, V extends GriffonView, C extends GriffonController> void withMVCGroup(String mvcType, MVCClosure<M, V, C> handler)`
- `public <M extends GriffonModel, V extends GriffonView, C extends GriffonController> void withMVCGroup(String mvcType, String mvcName, MVCClosure<M, V, C> handler)`
- `public <M extends GriffonModel, V extends GriffonView, C extends GriffonController> void withMVCGroup(String mvcType, String mvcName, Map<String, Object> args, MVCClosure<M, V, C> handler)`
- `public <M extends GriffonModel, V extends GriffonView, C extends GriffonController> void withMVCGroup(Map<String, Object> args, String mvcType, String mvcName, MVCClosure<M, V, C> handler)`
- `public <M extends GriffonModel, V extends GriffonView, C extends GriffonController> void withMVCGroup(String mvcType, Map<String, Object> args, MVCClosure<M, V, C> handler)`

- `public <M extends GriffonModel, V extends GriffonView, C extends GriffonController> void withMVCGroup(Map<String, Object> args, String mvcType, MVCClosure<M, V, C> handler)`

Authors:
  Andres Almiray

See Also:
  MVCHandler
  org.codehaus.griffon.ast.MVCAwareASTTransformation

Since:
  0.9.3

Method Summary

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Groovy Documentation